
echo ""
echo ""
echo "You are applying patch for Oracle 8.0.5.x built on glibc2.0.x."
echo ""
echo ""
echo "Please set ORACLE_HOME and run this script from the directory"
echo "where you have extracted the patch files."
echo ""
echo ""

#
# Check for the environment variable ORACLE_HOME
#
if [ ${ORACLE_HOME:-none} = "none" ]
then
   echo "Set ORACLE_HOME and apply the patch....."
   exit
fi

#
# Get the path for the extracted patch files
#
echo ""
patchdir=`pwd`

#
# Check to see if patch files are there
#
ls glibcpatch.sh > /dev/null 2>&1
result=$?
numfiles=`find . -type f -print | wc -l`
if [ $result -eq  1 -o $numfiles -lt 16 ]
then 
echo "Missing patch files....."
exit
fi

#
# Apply patch
#

echo ""
echo -n "Copying the scripts....."
#
# bin/genclntsh
#
   mv -f $ORACLE_HOME/bin/genclntsh $ORACLE_HOME/bin/genclntsh.pre-glibcpatch
   cp -f bin/genclntsh $ORACLE_HOME/bin
   chmod 755 $ORACLE_HOME/bin/genclntsh

echo ""
echo -n "Copying the Makefiles....."
#
# CTX
#
   mv -f $ORACLE_HOME/ctx/lib/env_ctx.mk \
         $ORACLE_HOME/ctx/lib/env_ctx.mk.pre-glibcpatch
   cp -f ctx/lib/env_ctx.mk $ORACLE_HOME/ctx/lib/env_ctx.mk
#
# PRECOMP
#
   mv -f $ORACLE_HOME/precomp/demo/proc/demo_proc.mk \
         $ORACLE_HOME/precomp/demo/proc/demo_proc.mk.pre-glibcpatch 
   cp -f precomp/demo/proc/demo_proc.mk \
         $ORACLE_HOME/precomp/demo/proc/demo_proc.mk
   mv -f $ORACLE_HOME/precomp/lib/env_precomp.mk \
         $ORACLE_HOME/precomp/lib/env_precomp.mk.pre-glibcpatch
   cp -f precomp/lib/env_precomp.mk $ORACLE_HOME/precomp/lib/env_precomp.mk
   mv -f $ORACLE_HOME/precomp/public/limits.h \
         $ORACLE_HOME/precomp/public/limits.h.pre-glibcpatch
   cp -f precomp/public/limits.h $ORACLE_HOME/precomp/public/limits.h
   mv -f $ORACLE_HOME/precomp/public/mcd.h \
         $ORACLE_HOME/precomp/public/mcd.h.pre-glibcpatch
   mv -f $ORACLE_HOME/precomp/public/mcdx.h \
         $ORACLE_HOME/precomp/public/mcdx.h.pre-glibcpatch
   mv -f $ORACLE_HOME/precomp/public/mathcalls.h \
         $ORACLE_HOME/precomp/public/mathcalls.h.pre-glibcpatch
   mkdir -p $ORACLE_HOME/precomp/public/bits
   cp -f precomp/public/bits/mathcalls.h \
         $ORACLE_HOME/precomp/public/bits/mathcalls.h
   mv -f $ORACLE_HOME/precomp/public/sys/ipc.h \
         $ORACLE_HOME/precomp/public/sys/ipc.h.pre-glibcpatch
   cp -f precomp/public/sys/ipc.h $ORACLE_HOME/precomp/public/sys/ipc.h

#
# RDBMS
#
   mv -f $ORACLE_HOME/rdbms/demo/demo_rdbms.mk \
         $ORACLE_HOME/rdbms/demo/demo_rdbms.mk.pre-glibcpatch
   cp -f rdbms/demo/demo_rdbms.mk $ORACLE_HOME/rdbms/demo/demo_rdbms.mk
   mv -f $ORACLE_HOME/rdbms/lib/env_rdbms.mk \
         $ORACLE_HOME/rdbms/lib/env_rdbms.mk.pre-glibcpatch
   cp -f rdbms/lib/env_rdbms.mk $ORACLE_HOME/rdbms/lib/env_rdbms.mk
   mv -f $ORACLE_HOME/rdbms/mesg/oraus.msg \
         $ORACLE_HOME/rdbms/mesg/oraus.msg.pre-glibcpatch
   cp -f rdbms/mesg/oraus.msg $ORACLE_HOME/rdbms/mesg/oraus.msg
#
# NETWORK
#
   mv -f $ORACLE_HOME/network/lib/env_network.mk \
         $ORACLE_HOME/network/lib/env_network.mk.pre-glibcpatch
   cp -f network/lib/env_network.mk $ORACLE_HOME/network/lib/env_network.mk
   mv -f $ORACLE_HOME/network/lib/env_oemagent.mk \
         $ORACLE_HOME/network/lib/env_oemagent.mk.pre-glibcpatch
   cp -f network/lib/env_oemagent.mk $ORACLE_HOME/network/lib/env_oemagent.mk
#
# OTRACE
#
   mv -f $ORACLE_HOME/otrace/lib/env_otrace.mk \
         $ORACLE_HOME/otrace/lib/env_otrace.mk.pre-glibcpatch
   cp -f otrace/lib/env_otrace.mk $ORACLE_HOME/otrace/lib/env_otrace.mk
#
# PLSQL
#
   mv -f $ORACLE_HOME/plsql/lib/env_plsql.mk \
         $ORACLE_HOME/plsql/lib/env_plsql.mk.pre-glibcpatch
   cp -f plsql/lib/env_plsql.mk $ORACLE_HOME/plsql/lib/env_plsql.mk
#
# SQLPLUS
#
   mv -f $ORACLE_HOME/sqlplus/lib/env_sqlplus.mk \
         $ORACLE_HOME/sqlplus/lib/env_sqlplus.mk.pre-glibcpatch
   cp -f sqlplus/lib/env_sqlplus.mk $ORACLE_HOME/sqlplus/lib/env_sqlplus.mk
#
# SVRMGR
#
   mv -f $ORACLE_HOME/svrmgr/lib/env_svrmgr.mk \
         $ORACLE_HOME/svrmgr/lib/env_svrmgr.mk.pre-glibcpatch
   cp -f svrmgr/lib/env_svrmgr.mk $ORACLE_HOME/svrmgr/lib/env_svrmgr.mk

echo "done"

echo ""
echo -n "Relinking the executables....."
#
# Generate libclntsh.so
#
  mv -f $ORACLE_HOME/lib/libclntsh.so.1.0 \
        $ORACLE_HOME/lib/libclntsh.so.1.0.pre-glibcpatch
  $ORACLE_HOME/bin/genclntsh
  mv -f $ORACLE_HOME/rdbms/lib/libclntsh.so.1.0 $ORACLE_HOME/lib

#
# CTX - relink the executables - ctxload and ctxsrv
#
   cd $ORACLE_HOME/ctx/lib
   mv -f $ORACLE_HOME/bin/ctxload $ORACLE_HOME/bin/ctxload.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/ctxsrv $ORACLE_HOME/bin/ctxsrv.pre-glibcpatch
   gmake -f ins_ctx.mk ctxload ctxsrv
   mv -f ctxload ctxsrv $ORACLE_HOME/bin/
   chmod 751 $ORACLE_HOME/bin/ctxload $ORACLE_HOME/bin/ctxsrv

#
# PRECOMP - relink the executables - proc
#
   cd $ORACLE_HOME/precomp/lib
   mv -f $ORACLE_HOME/bin/proc $ORACLE_HOME/bin/proc.pre-glibcpatch
   gmake -f ins_precomp.mk proc
   mv -f proc $ORACLE_HOME/bin/
   chmod 755 $ORACLE_HOME/bin/proc

#
# NETWORK - relink the executables - dbsnmp, oemevent, oratclsh, cmctl, cmgw,
#           cmadmin, names, namesctl, ncuxpp, onrsd, lsnrctl, tnslsnr, tnsping,
#           trcroute, trcasst and osslogin
#
# The executables - dbsnmp, oemevent and oratclsh are not relinked because
# of TCL library issue.
#
   cd $ORACLE_HOME/network/lib
   mv -f $ORACLE_HOME/bin/cmctl $ORACLE_HOME/bin/cmctl.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/cmadmin $ORACLE_HOME/bin/cmadmin.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/cmgw $ORACLE_HOME/bin/cmgw.pre-glibcpatch
   gmake -f ins_network.mk cmctl cmadmin cmgw
   mv -f cmctl cmadmin cmgw $ORACLE_HOME/bin/
   chmod 751 $ORACLE_HOME/bin/cmctl $ORACLE_HOME/bin/cmadmin \
             $ORACLE_HOME/bin/cmgw

   mv -f $ORACLE_HOME/bin/names $ORACLE_HOME/bin/names.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/namesctl $ORACLE_HOME/bin/namesctl.pre-glibcpatch
   gmake -f ins_network.mk names namesctl
   mv -f names namesctl $ORACLE_HOME/bin/
   chmod 751 $ORACLE_HOME/bin/names $ORACLE_HOME/bin/namesctl

   mv -f $ORACLE_HOME/bin/ncuxpp $ORACLE_HOME/bin/ncuxpp.pre-glibcpatch
   gmake -f ins_network.mk ncuxpp
   mv -f ncuxpp $ORACLE_HOME/bin/
   chmod 751 $ORACLE_HOME/bin/ncuxpp

   mv -f $ORACLE_HOME/bin/onrsd $ORACLE_HOME/bin/onrsd.pre-glibcpatch 
   gmake -f ins_network.mk onrsd
   mv -f onrsd $ORACLE_HOME/bin/
   chmod 751 $ORACLE_HOME/bin/onrsd
   
   mv -f $ORACLE_HOME/bin/lsnrctl $ORACLE_HOME/bin/lsnrctl.pre-glibcpatch 
   mv -f $ORACLE_HOME/bin/tnslsnr $ORACLE_HOME/bin/tnslsnr.pre-glibcpatch 
   mv -f $ORACLE_HOME/bin/tnsping $ORACLE_HOME/bin/tnsping.pre-glibcpatch 
   gmake -f ins_network.mk lsnrctl tnslsnr tnsping
   mv -f lsnrctl tnslsnr tnsping $ORACLE_HOME/bin/
   chmod 751 $ORACLE_HOME/bin/tnslsnr $ORACLE_HOME/bin/lsnrctl \
             $ORACLE_HOME/bin/tnsping

   mv -f $ORACLE_HOME/bin/trcroute $ORACLE_HOME/bin/trcroute.pre-glibcpatch 
   mv -f $ORACLE_HOME/bin/trcasst $ORACLE_HOME/bin/trcasst.pre-glibcpatch 
   mv -f $ORACLE_HOME/bin/osslogin $ORACLE_HOME/bin/osslogin.pre-glibcpatch 
   gmake -f ins_network.mk trcroute trcasst osslogin
   mv -f trcroute trcasst osslogin $ORACLE_HOME/bin/
   chmod 751 $ORACLE_HOME/bin/trcroute $ORACLE_HOME/bin/trcasst \
             $ORACLE_HOME/bin/osslogin

#
# RDBMS - relink the executables - addlcmp, cursize, dbfsize, dbv, exp, 
#         extproc, genkflat, genoci, hsalloci, hsdepxa, hsots, imp, mig, 
#         maxmem, orapwd, oracle, osh, rman, sbttest, sqlldr, svrmgrl, 
#         tkprof and tstshm
#
   cd $ORACLE_HOME/rdbms/lib
   mv -f $ORACLE_HOME/bin/addlcmp $ORACLE_HOME/bin/addlcmp.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/cursize $ORACLE_HOME/bin/cursize.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/dbfsize $ORACLE_HOME/bin/dbfsize.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/dbv $ORACLE_HOME/bin/dbv.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/exp $ORACLE_HOME/bin/exp.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/extproc $ORACLE_HOME/bin/extproc.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/genkflat $ORACLE_HOME/bin/genkflat.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/genoci $ORACLE_HOME/bin/genoci.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/hsalloci $ORACLE_HOME/bin/hsalloci.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/hsdepxa $ORACLE_HOME/bin/hsdepxa.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/hsots $ORACLE_HOME/bin/hsots.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/imp $ORACLE_HOME/bin/imp.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/mig $ORACLE_HOME/bin/mig.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/maxmem $ORACLE_HOME/bin/maxmem.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/orapwd $ORACLE_HOME/bin/orapwd.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/oracle $ORACLE_HOME/bin/oracle.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/osh $ORACLE_HOME/bin/osh.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/rman $ORACLE_HOME/bin/rman.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/sbttest $ORACLE_HOME/bin/sbttest.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/sqlldr $ORACLE_HOME/bin/sqlldr.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/svrmgrl $ORACLE_HOME/bin/svrmgrl.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/tkprof $ORACLE_HOME/bin/tkprof.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/tstshm $ORACLE_HOME/bin/tstshm.pre-glibcpatch
   gmake -f ins_rdbms.mk iaddlcmp icursize idbfsize idbv iexp iextproc 
   gmake -f ins_rdbms.mk igenkflat igenoci ihsalloci ihsdepxa ihsots iimp 
   gmake -f ins_rdbms.mk imaxmem imig ioracle iorapwd iosh irman isbttest
   gmake -f ins_rdbms.mk isqlldr isvrmgrl itkprof itstshm 

#
# OTRACE - relink executables - otrccol, otrccref, otrcfmt and otrcrep
#
   cd $ORACLE_HOME/otrace/lib
   mv -f $ORACLE_HOME/bin/otrccol $ORACLE_HOME/bin/otrccol.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/otrccref $ORACLE_HOME/bin/otrccref.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/otrcfmt $ORACLE_HOME/bin/otrcfmt.pre-glibcpatch
   mv -f $ORACLE_HOME/bin/otrcrep $ORACLE_HOME/bin/otrcrep.pre-glibcpatch
   gmake -f ins_otrace.mk otrccol otrccref otrcfmt otrcrep
   mv -f otrccol otrccref otrcfmt otrcrep $ORACLE_HOME/bin/
   chmod 6751 $ORACLE_HOME/bin/otrccol
   chmod 6751 $ORACLE_HOME/bin/otrccref
   chmod 6751 $ORACLE_HOME/bin/otrcfmt
   chmod 6751 $ORACLE_HOME/bin/otrcrep

#
# PLSQL - relink executable - wrap 
#
   cd $ORACLE_HOME/plsql/lib
   mv -f $ORACLE_HOME/bin/wrap $ORACLE_HOME/bin/wrap.pre-glibcpatch
   gmake -f ins_plsql.mk wrap
   mv -f wrap $ORACLE_HOME/bin/
   chmod 751 $ORACLE_HOME/bin/wrap

#
# SQLPLUS - relink executable - sqlplus
#
   cd $ORACLE_HOME/sqlplus/lib
   mv -f $ORACLE_HOME/bin/sqlplus $ORACLE_HOME/bin/sqlplus.pre-glibcpatch
   gmake -f ins_sqlplus.mk sqlplus 
   mv -f sqlplus $ORACLE_HOME/bin/
   chmod 751 $ORACLE_HOME/bin/sqlplus

echo "done"

echo ""
echo "Applied glibc patch for Oracle 8.0.5.x successfully."
echo ""
