# Entering network.mk


# Entering /linux2/src805/buildtools/mkfile/prefix.mk

# Entering /linux2/src805/buildtools/mkfile/defs.mk

SHELL=/bin/sh

AS_EXT=s
LIB_EXT=a
OBJ_EXT=o
PLB_EXT=plb
SO_EXT=so
LOCK_EXT=lk
SQL_EXT=sql


AR=ar
AS=as
AWK=awk
CAT=cat
CC=i386-glibc20-linux-gcc
CD=cd
CHMOD=chmod
CP=cp
CPP=cpp
DATE=date
ECHO=echo
ECHON=echo -n
EXEC=exec
FIND=find
FOLLOW=-follow
NOLEAF=-noleaf
GREP=grep
KILL=kill
SLEEP=sleep
LD=ld
LMAKE=make
LN=ln
LNS=ln -s
MKDIR=mkdir
MV=mv
NM=nm
PERL=perl
RM=rm
RMF=rm -f
RMRF=rm -rf
SED=sed
SORT=sort
TOUCH=touch
XARGS=xargs
LS=ls

BINHOME=$(ORACLE_HOME)/bin/
LIBHOME=$(ORACLE_HOME)/lib/

PRODLIBHOME=$(LIBHOME)

ECHODO=$(BINHOME)echodo
GENSYSLIB=$(BINHOME)gensyslib
GENCLNTSH=$(BINHOME)genclntsh
GENNAFLG=$(BINHOME)gennaflg
GENAUTAB=$(BINHOME)genautab

ARCHIVE_OBJ=$(AR) r $@ $*.$(OBJ_EXT)
ARCREATE=$(AR) cr$(ARLOCAL)
ARDELETE=$(AR) d$(ARLOCAL)
AREXTRACT=$(AR) x 
ARPRINT=$(AR) t
ARREPLACE=$(AR) r 
DOAR=$(ARCREATE) $@ $? ; $(RANLIB) $@
MAKE=$(LMAKE)
QUIET=>/dev/null 2>&1
QUIETE=2>/dev/null
SILENT=@
CTSMAKEFLAGS=$(SILENT:@=--no-print-directory -s)

CFLAGS=$(GFLAG) $(OPTIMIZE) $(CCFLAGS) $(QACCFLAGS) $(PFLAGS)\
	$(SHARED_CFLAG) $(USRFLAGS)
PFLAGS=$(INCLUDE) $(SPFLAGS) $(LPFLAGS)

LDCCOM=$(PURECMDS) $(CC) $(GFLAG) $(CCFLAGS) $(EXOSFLAGS) $(LDFLAGS)
LDFLAGS=-o $@ -L$(PRODLIBHOME) -L$(LIBHOME)
LDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(EXSYSLIBS) $(MATHLIB) $(USRLIBS)
MATHLIB=-lm
COMPATLIB=-lcompat
PURECMDS=$(PURELINK) $(PURIFY) $(PURECOV) $(QUANTIFY)

RANLIB=/usr/bin/ranlib
RANLIBCMD=/usr/bin/ranlib

SYSLIBLIST=$(LIBHOME)sysliblist
SYSLIBS=`$(CAT) $(SYSLIBLIST)`

NACCFLAGS=$(LIBHOME)naccflgs
NALDFLAGS=$(LIBHOME)naldflgs
NACCFLAGSLIST=`$(CAT) $(NACCFLAGS)`
NALDFLAGSLIST=`$(CAT) $(NALDFLAGS)`

TTLIBD=$(NETLIBD) $(LIBRDBMS_CLT) $(LIBMM) $(CORELIBD) $(LIBEPC) $(LIBCLNTSH)
STATICTTLIBS=$(NAUTAB) $(NAETAB) $(NAEDHS) $(NALDFLAGSLIST) \
       $(NETLIBS) $(LLIBRDBMS_CLT) $(LLIBMM) $(CORELIBS)\
       $(NETLIBS) $(LLIBRDBMS_CLT) $(LIBPLS_CLT)\
       $(LLIBEPC) $(CORELIBS) $(LLIBRDBMS_CLT) $(CORELIBS) $(LDLIBS)
TTLIBS=$(LIBCLNTSH) $(STATICTTLIBS)
DEVTTLIBS=$(TTLIBS)

STLIBS=$(SGL_ON) $(CONFIG) $(LLIBSERVER) $(LLIBPLSF) $(LLIBSLAX) \
       $(LIBGENERIC) $(LLIBCLIENT) $(LLIBMM) $(LLIBKNLOPT) $(LLIBPLSB)\
       $(LLIBSERVER) $(LLIBEXTP) $(NAUTAB) $(NAETAB) $(NAEDHS) \
       $(NALDFLAGSLIST) $(NETLIBS) $(LLIBCLIENT) \
       $(LLIBPLSF) $(LLIBICX) $(LLIBOWSUTL) \
       $(NETLIBS) $(LLIBEPC) $(SDOLIBS) $(LLIBCORE) $(LLIBVSN) $(LLIBCOMMON)\
       $(LIBGENERIC) $(LLIBKNLOPT) $(NMLIBS) $(CARTLIBS) $(CORELIBS) $(LDLIBS)

# Exiting /linux2/src805/buildtools/mkfile/defs.mk
# Entering /linux2/src805/buildtools/mkfile/platform.mk

PLATFORM=unified_intel

MOTIFHOME=/usr/X11R6/
GUILIBHOME=$(OPENWINHOME)lib/



GMAKE=/usr/bin/gmake
LMAKE=/usr/bin/gmake
FIND=/usr/bin/find # gnu find!
PS=ps -aux

ARCHIVE=@`if echo ${LIB} | grep lib > /dev/null 2>&1;then $(ARCREATE) $(LIB) $?; $(RANLIB) $(LIB); else echo ""; fi`

GROUP=/etc/group

LINK=i386-glibc20-linux-gcc

LLIBTHREAD=
THREADLIBS=
MOTIFLIBS=-L$(MOTIFHOME)lib -lXm -lgen -L$(GUILIBHOME) \
	-lXt -lX11 -lw -lm
XLIBS=-L$(GUILIBHOME) $(GUILIBHHOME)libXaw.so.4 -lXt -lXmu\
	-lXext -lX11 -lm


CCVER=GCC2.7.2.3
COMPOBJ=$(ORACLE_HOME)/lib/$(CCVER)
COMPOBJS=$(COMPOBJ)/crti.o $(COMPOBJ)/crt1.o $(COMPOBJ)/crtn.o

EXSYSLIBS= -ldl 

DEVTTLIBS=$(NAUTAB) $(NAETAB) $(NAEDHS) $(NALDFLAGSLIST) \
	$(NETLIBS) $(LLIBRDBMS_CLT) $(LLIBMM) $(CORELIBS)\
	$(NETLIBS) $(LLIBRDBMS_CLT) $(LIBPLS_CLT)\
	$(LLIBEPC) $(CORELIBS) $(LLIBRDBMS_CLT) $(CORELIBS)

OPTIMIZE2=-xO2
OPTIMIZE4=-xO4
OPTIMIZE=$(OPTIMIZE2)

ROFLAGS=-c -xMerge
SPFLAGS=-D_SVID_GETTOD

AR=/usr/ccs/bin/ar
AS=/usr/ccs/bin/as
CPP=$(CC) -E $(ANSI)
CHMOD=/bin/chmod
CHGRP=/bin/chgrp
CHOWN=/bin/chown

ASFLAGS=
ASPFLAGS=-P $(PFLAGS)
ASRO=$(AS) $(ASROFLAGS) $(MAKERO) $<
ASROFLAGS=$(ASFLAGS)
CXC=-Xc
CXA=-Xa
ANSI=$(CXC)



NOKPIC_CCFLAGS= -Xa $(PROFILE) -xstrconst -xF -I$(ORACLE_HOME)/shdrs $(XS) -mr \
        -xarch=v8 -xcache=16/32/1:1024/64/1 -xchip=ultra -D_REENTRANT
CCFLAGS= -DLINUX -DUNIFIED_INTEL  $(NOKPIC_CCFLAGS) -K PIC
FASTCCFLAGS= $(NOKPIC_CCFLAGS)

SHARED_LDFLAG=-shared -L$(ORACLE_HOME)/lib -R$(ORACLE_HOME)/lib -o
SHARED_CFLAG=

# Entering /linux2/src805/buildtools/mkfile/s_platform.mk

PLATFORM=

CUS_PLFRM=$(ORACLE_HOME)/buildtools/mkfile/cus_plfrm.mk

MOTIFHOME=
OPENWINHOME=
GUILIBHOME=


GMAKE=gmake
MAKE=gmake
LMAKE=make
FIND=/bin/find # gnu find!
PS=ps -feda

ARCHIVE=@`if echo ${LIB} | grep lib > /dev/null 2>&1;then $(ARCREATE) $(LIB) $?; $(RANLIB) $(LIB); else echo ""; fi`

GROUP=/etc/group

LINK=i386-glibc20-linux-gcc $(COMPOBJS)

LLIBTHREAD=

MOTIFLIBS= -lXm -lXt -lX11 -lgen -lm
XLIBS=

EXOSFLAGS=

CCVER=SC4.2
COMPOBJ=$(ORACLE_HOME)/lib/$(CCVER)
COMPOBJS=

EXSYSLIBS=-ldl
DEVTTLIBS=$(NAUTAB) $(NAETAB) $(NAEDHS) $(NALDFLAGSLIST) \
       $(NETLIBS) $(LLIBRDBMS_CLT) $(LLIBMM) $(CORELIBS)\
       $(NETLIBS) $(LLIBRDBMS_CLT) $(LIBPLS_CLT)\
       $(LLIBEPC) $(CORELIBS) $(LLIBRDBMS_CLT) $(CORELIBS) \
       $(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) -lc -laio $(MATHLIB) $(USRLIBS)

OPTIMIZE3=-O3
OPTIMIZE6=-O6
OPTIMIZE=$(OPTIMIZE3)
NOOPTIMIZE=-O0

ROFLAGS=-c -xMerge
SPFLAGS=`$(ORACLE_HOME)/unified_bin/spflags`

AR=ar
AS=as
CPP=/lib/cpp
CHMOD=/bin/chmod
CHGRP=/bin/chgrp
CHOWN=/bin/chown

ASFLAGS=
ASPFLAGS=-P $(PFLAGS)
ASRO=$(AS) $(ASROFLAGS) $(MAKERO) $<
ASROFLAGS=$(ASFLAGS)
CXC=-Xc
CXA=-Xa
ANSI=$(CXC)



NOKPIC_CCFLAGS=`$(ORACLE_HOME)/unified_bin/ccflags`

CCFLAGS= $(NOKPIC_CCFLAGS)
FASTCCFLAGS= $(NOKPIC_CCFLAGS)

SHARED_LDFLAG=-shared -L$(ORACLE_HOME)/lib -o
SHARED_CFLAG=

# Exiting /linux2/src805/buildtools/mkfile/s_platform.mk
# Exiting /linux2/src805/buildtools/mkfile/platform.mk
# Entering /linux2/src805/buildtools/mkfile/rules.mk
 
# Exiting /linux2/src805/buildtools/mkfile/rules.mk
# Exiting /linux2/src805/buildtools/mkfile/prefix.mk

# Entering /linux2/src805/rdbms/exports.mk

LIBSERVER=$(LIBHOME)libserver.$(LIB_EXT)
LLIBSERVER=-lserver

LIBCLIENT=$(LIBHOME)libclient.$(LIB_EXT)
LLIBCLIENT=-lclient

LIBGENERIC=$(LIBHOME)libgeneric.$(LIB_EXT)
LLIBGENERIC=-lgeneric

LIBCOMMON=$(LIBHOME)libcommon.$(LIB_EXT)
LLIBCOMMON=-lcommon

LIBVSN=$(LIBHOME)libvsn.$(LIB_EXT)
LLIBVSN=-lvsn

LIBAGENT=$(LIBHOME)libagent.$(LIB_EXT)
LLIBAGENT=-lagent

DLMHOME=$(ORACLE_HOME)/odlm/

SKGXNS=$(RDBMSLIB)skgxns.$(OBJ_EXT)
SKGXND=$(RDBMSLIB)skgxnd.$(OBJ_EXT)
SKGXN=$(RDBMSLIB)skgxn.$(OBJ_EXT)

LIBDLM=$(SKGXN) $(LIBHOME)libudlm.$(LIB_EXT)
LLIBDLM=$(SKGXN) -L /var/opt/ncrdlm/lib -ludlm

LIBNM=$(LIBDLM)
LLIBNM=$(LLIBDLM)
NMLIBLIST=$(RDBMSLIB)nmliblist
NMLIBS=`$(CAT) $(NMLIBLIST)`

LIBMM=$(LIBHOME)libmm.$(LIB_EXT)
LLIBMM=-lmm


LIBRDBMS_CLT=$(LIBCLIENT) $(LIBVSN) $(LIBCOMMON) $(LIBGENERIC)
LLIBRDBMS_CLT=$(LLIBCLIENT) $(LLIBVSN) $(LLIBCOMMON) $(LLIBGENERIC)

LIBCLNTSH=$(LIBHOME)libclntsh.$(SO_EXT)
LLIBCLNTSH=-lclntsh

CONFIG = $(RDBMSLIB)config.$(OBJ_EXT)

SDOLIBS = `if ${AR} tv ${ORACLE_HOME}/rdbms/lib/libknlopt.a | grep "kxmnsd.o" > /dev/null 2>&1 ; then echo " " ; else echo "-lmdknl -lmdhh"; fi`

DEF_ON= $(RDBMSLIB)kpudfo.$(OBJ_EXT)
DEF_OFF= $(RDBMSLIB)kpundf.$(OBJ_EXT)
DEF_OPT= $(RDBMSLIB)defopt.$(OBJ_EXT)

LIBSLAX=$(LIBHOME)libslax.a
LLIBSLAX=-lslax

LIBSQL=$(LIBHOME)libsql.$(LIB_EXT)
LLIBSQL=-lsql

LIBSVRM= $(LIBHOME)smalmain.$(OBJ_EXT) $(LIBHOME)libsvrmgrl.$(LIB_EXT) $(LIBHOME)libslpm.$(LIB_EXT)
LLIBSVRM= $(LIBHOME)smalmain.$(OBJ_EXT) -lsvrmgrl -lslpm

RDBMSHOME=$(ORACLE_HOME)/rdbms/
RDBMSLIB=$(RDBMSHOME)lib/
RDBMSADMIN=$(RDBMSHOME)admin/

# Entering /linux2/src805/rdbms/s_exports.mk

# Exiting /linux2/src805/rdbms/s_exports.mk
# Exiting /linux2/src805/rdbms/exports.mk
# Entering /linux2/src805/oracore/exports.mk

COREHOME= $(ORACLE_HOME)/oracore/
ORACOREHOME= $(COREHOME)

LIBCORE= $(LIBHOME)libcore4.$(LIB_EXT)
LLIBCORE= -lcore4

S0MAIN= $(LIBHOME)s0main.o
SCOREPT= $(LIBHOME)scorept.o
SSCOREED= $(LIBHOME)sscoreed.o

COREPUBLIC=$(COREHOME)include/ $(COREHOME)public/
ORACOREPUBH=$(I_SYM)$(COREHOME)include $(I_SYM)$(COREHOME)public

CORELIBD=$(LIBNLSRTL) $(LIBCV6) $(LIBCORE) $(LIBNLSRTL) $(LIBCORE) $(LIBNLSRTL)
CORELIBS=$(LLIBNLSRTL) $(LLIBCV6) $(LLIBCORE) $(LLIBNLSRTL) $(LLIBCORE) $(LLIBNLSRTL)

# Entering /linux2/src805/oracore/s_exports.mk
 
# Exiting /linux2/src805/oracore/s_exports.mk

# Exiting /linux2/src805/oracore/exports.mk
# Entering /linux2/src805/nlsrtl/exports.mk

NLSRTLHOME= $(ORACLE_HOME)/nlsrtl/

ORA_NLS = $(ORACLE_HOME)/ocommon/nls/admin/data/
ORA_NLS33 = $(ORACLE_HOME)/ocommon/nls/admin/data/

LIBNLSRTL= $(LIBHOME)libnlsrtl3.$(LIB_EXT)
LLIBNLSRTL= -lnlsrtl3

NLSRTLPUBH = $(I_SYM)$(NLSRTLHOME)include
# Exiting /linux2/src805/nlsrtl/exports.mk
# Entering /linux2/src805/plsql/exports.mk

LIBEXTP=$(LIBHOME)libextp.$(LIB_EXT)
LLIBEXTP=-lextp

WRAP=$(BINHOME)wrap

LIBPLSB=$(LIBHOME)libplsb.$(LIB_EXT)
LLIBPLSB=-lplsb
LIBPLSF=$(LIBHOME)libplsf.$(LIB_EXT)
LLIBPLSF=-lplsf
PLSQLLIBS=$(LIBPLSF) $(LIBPLSB)
LPLSQLLIBS=$(LLIBPLSF) $(LLIBPLSB)

LLIBPLSQL= $(LPLSQLLIBS) $(LLIBEXTP)

LIBICD=$(LIBHOME)libicd.$(LIB_EXT)
LLIBICD=-licd
LIBPSD=$(LIBHOME)libpsd.$(LIB_EXT)
LLIBPSD=-lpsd
LIBPSA=$(LIBHOME)libpsa.$(LIB_EXT)
LLIBPSA=-lpsa

# Entering /linux2/src805/plsql/s_exports.mk
 
# Exiting /linux2/src805/plsql/s_exports.mk
# Exiting /linux2/src805/plsql/exports.mk
# Entering /linux2/src805/otrace/exports.mk

EPCLIBS=$(LLIBEPC)

LIBEPC=$(LIBHOME)libepc.$(LIB_EXT)
LLIBEPC=-lepc

LIBEPCPT=$(LIBHOME)libepcpt.$(LIB_EXT)
LLIBEPCPT=-lepcpt

LIBEPCFE=$(LIBHOME)libepcfe.$(LIB_EXT)
LLIBEPCFE=-lepcfe

# Entering /linux2/src805/otrace/s_exports.mk

# Exiting /linux2/src805/otrace/s_exports.mk
# Exiting /linux2/src805/otrace/exports.mk
# Entering /linux2/src805/oemagent/exports.mk

LIBNMI=$(OEMAGENTLIB)libnmi.$(LIB_EXT)
LLIBNMI=-lnmi

LIBNMD=$(OEMAGENTLIB)libnmd.$(LIB_EXT)
LLIBNMD=-lnmd

LIBNMS=$(OEMAGENTLIB)libnms.$(LIB_EXT)
LLIBNMS=-lnms

LIBNMS0=$(OEMAGENTLIB)libnms0.$(LIB_EXT)
LLIBNMS0=-lnms0

LIBNMSP=$(OEMAGENTLIB)libnmsp.$(LIB_EXT)
LLIBNMSP=-lnmsp

LIBNMSE=$(OEMAGENTLIB)libnmse.$(LIB_EXT)
LLIBNMSE=-lnmse

LIBTCL = /usr/lib/libtcl.so
LLIBTCL = -ltcl

LIBPEER = 
LLIBPEER =
 
LIBWA = $(OEMAGENTLIB)libwa.$(LIB_EXT)
LLIBWA = -lwa
 
LIBVDG = $(OEMAGENTLIB)libvdg.$(LIB_EXT)
LLIBVDG = -lvdg

OEMAGENTHOME=$(ORACLE_HOME)/oemagent/
OEMAGENTLIB=$(OEMAGENTHOME)lib/
OEMAGENTBIN=$(OEMAGENTHOME)bin/

# Entering /linux2/src805/oemagent/s_exports.mk

# Exiting /linux2/src805/oemagent/s_exports.mk
# Exiting /linux2/src805/oemagent/exports.mk


# Entering /linux2/src805/network/exports.mk

LIBNETV2     = $(LIBHOME)libnetv2.$(LIB_EXT)
LLIBNETV2    = -lnetv2

LIBNTTCP     = $(LIBHOME)libnttcp.$(LIB_EXT)
LLIBNTTCP    = -lnttcp

LIBNTOD      = $(LIBHOME)libntod.$(LIB_EXT)
LLIBNTOD     = -lntod

LIBNTLU62    = $(LIBHOME)libntlu62.$(LIB_EXT)
LLIBNTLU62   = -lntlu62

LIBNTS       = $(LIBHOME)libnts.$(LIB_EXT)
LLIBNTS      = -lnts

LIBNETWORK   = $(LIBHOME)libnetwork.$(LIB_EXT)  	
LLIBNETWORK  = -lnetwork

LIBSQLNET    = $(LIBNETV2)   $(LIBNTTCP)  $(LIBNETWORK)
LLIBSQLNET   = $(LLIBNETV2) $(LLIBNTTCP) $(LLIBNETWORK)

LIBRPC       = $(LIBHOME)libncr.$(LIB_EXT)
LLIBRPC      = -lncr 

LIBTNSAPI    = $(NETWORKLIB)libtnsapi.$(LIB_EXT)
LLIBTNSAPI   = -ltnsapi

TNSLSNR	     = $(BINHOME)tnslsnr
LSNRCTL	     = $(BINHOME)lsnrctl
NAMES	     = $(BINHOME)names
NAMESCTL     = $(BINHOME)namesctl

OKINIT       = $(BINHOME)okinit
OKLIST       = $(BINHOME)oklist
OKDSTRY      = $(BINHOME)okdstry

NIGTAB       = $(LIBHOME)nigtab.$(OBJ_EXT)
NIGCON       = $(LIBHOME)nigcon.$(OBJ_EXT) 
NTCONTAB     = $(LIBHOME)ntcontab.$(OBJ_EXT)
MTS_NCR	     = $(LIBHOME)ncrstab.$(OBJ_EXT)

OSNTABST     = $(NETWORKLIB)osntabst.$(OBJ_EXT)
NNFGT        = $(NETWORKLIB)nnfgt.$(OBJ_EXT)

NAETAB       = $(LIBHOME)naeet.$(OBJ_EXT) $(LIBHOME)naect.$(OBJ_EXT)
NAEDHS	     = $(LIBHOME)naedhs.$(OBJ_EXT)
NAUTAB	     = $(LIBHOME)nautab.$(OBJ_EXT)

NETLIBS      = $(LLIBSQLNET) $(LLIBRPC) $(LLIBSQLNET)
NETLIBD      = $(LIBSQLNET) $(LIBRPC)

# Entering /linux2/src805/network/s_exports.mk

NATIVE =


# Exiting /linux2/src805/network/s_exports.mk
# Exiting /linux2/src805/network/exports.mk

NETWORKHOME    = $(ORACLE_HOME)/network/
NETWORKINSTALL	= $(NETWORKHOME)install/
NETWORKDEMO     = $(NETWORKHOME)demo/

RDBMSHOME  = $(ORACLE_HOME)/rdbms/
RDBMSLIB   = $(RDBMSHOME)lib/
RDBMSBIN   = $(RDBMSHOME)bin/

AGENTHOME    = $(ORACLE_HOME)/oemagent/
AGENTLIB     = $(AGENTHOME)lib/

AGENTHOME    = $(ORACLE_HOME)/oemagent/
AGENTLIB     = $(AGENTHOME)lib/

NETWORKLIB   = $(NETWORKHOME)lib/
NETWORKBIN   = $(NETWORKHOME)bin/
NETWORKSRC	 = $(NETWORKHOME)src/
NETWORKMESG	 = $(NETWORKHOME)mesg/ 

ORACOREPUBH  = $(I_SYM)$(COREHOME)public/ $(I_SYM)$(COREHOME)include/
PCC          = $(ORACLE_HOME)/rdbms/bin/proc 
SNLPTDUM     = $(NETWORKLIB)snlptdum.$(OBJ_EXT)
SSDBED	     = $(ORACLE_HOME)/rdbms/lib/ssdbaed.$(OBJ_EXT)
LIBPRECOMP   = $(ORACLE_HOME)/lib/libsql.$(LIB_EXT)
LLIBPRECOMP  = -lsql 
OTRACEPUBH   = $(I_SYM)$(OTRACEHOME)public/ $(I_SYM)$(OTRACEHOME)include/

ADAPTERS=OSS

SNLPTDUM         =  $(NETWORKLIB)snlptdum.$(OBJ_EXT) 

LIBMIGV1         =  $(NETWORKLIB)libmigv1.$(LIB_EXT)
LIBTHINNCR       =  $(NETWORKLIB)libthinncr.$(LIB_EXT)
LIBNAUK5         =  $(NETWORKLIB)libnauk5.$(LIB_EXT)
LIBNAUS          =  $(NETWORKLIB)libnaus.$(LIB_EXT)
LIBNCR           =  $(NETWORKLIB)libncr.$(LIB_EXT)
LIBNFP           =  $(NETWORKLIB)libnfp.$(LIB_EXT)
LIBNI            =  $(NETWORKLIB)libnetv2.$(LIB_EXT)
LIBNLMAIN        =  $(NETWORKLIB)libnlmain.$(LIB_EXT)
LIBNMD           =  $(AGENTLIB)libnmd.$(LIB_EXT)
LIBNMI           =  $(AGENTLIB)libnmi.$(LIB_EXT)
LIBNMR           =  $(NETWORKLIB)libnmr.$(LIB_EXT)
LIBNMS           =  $(AGENTLIB)libnms.$(LIB_EXT)
LIBNNCC          =  $(NETWORKLIB)libnncc.$(LIB_EXT)
LIBNND           =  $(NETWORKLIB)libnnd.$(LIB_EXT)
LIBNNO           =  $(NETWORKLIB)libnno.$(LIB_EXT)
LIBNSGL          =  $(NETWORKLIB)libnsgl.$(LIB_EXT)
LIBNSGLC         =  $(NETWORKLIB)libnsglc.$(LIB_EXT)
LIBNMSE          =  $(AGENTLIB)libnmse.$(LIB_EXT)
LIBPEER          =  $(AGENTLIB)libpeer.$(LIB_EXT)
LIBNUAPI         =  $(NETWORKLIB)libntrace.$(LIB_EXT)
LIBTIPEM         =  $(NETWORKLIB)libtipem.$(LIB_EXT)
LIBRSASTD        =  $(NETWORKLIB)librsastd.$(LIB_EXT)
LIBNTT           =  $(NETWORKLIB)libnttcp.$(LIB_EXT)
LIBNTS           =  $(NETWORKLIB)libnts.$(LIB_EXT)
LIBNTD           =  $(NETWORKLIB)libntd.$(LIB_EXT)
LIBNTOD          =  $(NETWORKLIB)libntod.$(LIB_EXT)
LIBNTLU62        =  $(NETWORKLIB)libntlu62.$(LIB_EXT)
LIBNTTLI	 =  $(NETWORKLIB)libnttli.$(LIB_EXT)
LIBNTL           =  $(NETWORKLIB)libntl.$(LIB_EXT)
LIBSNS           =  $(NETWORKLIB)libsns.$(LIB_EXT)
LIBNULOCAL       = $(NETWORKLIB)libnulocal.$(LIB_EXT)
LIBNETWORK	 = $(NETWORKLIB)libnetwork.$(LIB_EXT) 



LLIBTNSAPI	 = -ltnsapi
LLIBNUAPI	 = -lntrace 
LLIBNULOCAL	 = -lnulocal
LLIBTIPEM	 = -ltipem
LLIBRSASTD       = -lrsastd


S0NSPING     = $(NETWORKLIB)s0nsping.$(OBJ_EXT)
NSPING       = $(NETWORKLIB)nsping.$(OBJ_EXT)
S0NSGL       = $(NETWORKLIB)s0nsgl.$(OBJ_EXT)
S0NSGLC      = $(NETWORKLIB)s0nsglc.$(OBJ_EXT)
SNSGLP       = $(NETWORKLIB)snsglp.$(OBJ_EXT)
NSGLPNP      = $(NETWORKLIB)nsglpnp.$(OBJ_EXT)
S0NNOV       = $(NETWORKLIB)s0nnov.$(OBJ_EXT)
S0NNCC       = $(NETWORKLIB)s0nncc.$(OBJ_EXT)
NNCCM        = $(NETWORKLIB)nnccm.$(OBJ_EXT)
S0NMITCLSH   = $(AGENTLIB)s0nmitclsh.$(OBJ_EXT)
S0NMI        = $(AGENTLIB)s0nmi.$(OBJ_EXT)
S0NMIEE      = $(AGENTLIB)s0nmiee.$(OBJ_EXT) 
S0NFPGW      = $(NETWORKLIB)s0nfpg.$(OBJ_EXT)
S0NFPUCD     = $(NETWORKLIB)s0nfpucd.$(OBJ_EXT)
S0NFPC       = $(NETWORKLIB)s0nfpc.$(OBJ_EXT)
S0NFPA       = $(NETWORKLIB)s0nfpa.$(OBJ_EXT)
S0NUE        = $(NETWORKLIB)s0nue.$(OBJ_EXT)
S0NUR        = $(NETWORKLIB)s0nur.$(OBJ_EXT)
NAEDHSD	     = $(NETWORKLIB)naedhsd.$(OBJ_EXT)
S0NTISMN     = $(NETWORKLIB)s0ntismn.$(OBJ_EXT)
S0NTSPXC     = $(NETWORKLIB)s0ntspxc.$(OBJ_EXT)
S0NZDTL	     = $(NETWORKLIB)s0nzdtl.$(OBJ_EXT)
NZDTL        = $(NETWORKLIB)nzdtl.$(OBJ_EXT)


# Entering /linux2/src805/network/s_network.mk


ASFLAGS_SHIP=-P -o



GENNT = compile

# Exiting /linux2/src805/network/s_network.mk



MY_TMP_FLAGS = -ldl -lc


LOCALNETLIBS	 = -lnetv2 \
		   -lnncc $(LLIBNETV2) $(PROTOCOLLIBS) \
		   $(LLIBNETWORK) -lnsgl -lnsglc -lnmd -lnms -lnfp $(LSNMPLIB) \
		   $(SNMPAGENTLIB) $(LLIBRPC) $(LLIBNETWORK) $(PROTOCOLLIBS)    \
		   $(LLIBEPC) -lnetv2 \
		   -lnncc -lnsgl -lnsglc -lnmd -lnms -lnfp $(LSNMPLIB) \
	            $(LLIBNETWORK) $(ANOLIBS) $(MY_TMP_FLAGS)

LOCALNETLIBD	 = $(LIBNI) $(LIBNFP) \
		   $(LIBNMD) $(LIBNNCC) $(LIBNSGL) $(LIBNSGLC) $(LIBNSGI) \
		   $(SNMPLIB) $(SNMPAGENTLIB) $(LIBNMS) $(LIBNETV2) $(PROTOCOLLIBD) \
	           $(LIBNETWORK) $(LIBRPC)  \
		   $(LIBEPC) $(PROTOCOLLIBD) $(ANOLIBD)  



CUS_TTLIBS	= $(DEF_ON) $(SCOREPT) $(SSDBED) $(TTLIBS) $(LOCALNETLIBS)
_CUS_TTLIBS	= $(DEF_ON) $(SCOREPT) $(SSDBED) $(STATICTTLIBS) $(LOCALNETLIBS)
CUS_TTLIBD 	= $(DEF_ON) $(SCOREPT) $(SSDBED) $(TTLIBD) $(LOCALNETLIBD) 
 
PRODLIBHOME      = $(NETWORKLIB)


protocol adapters:

LU62INCLUDE=$(I_SYM)/opt/SUNWappc


# Exiting network.mk
# Entering s_cus_ntwk.mk



SNMPFLAG     =  -DORACLE_SNMP_NONE
SNMPSUFFIX   =  NONE 
LSNMPLIB     = -lnms0
SNMPLIB      =  $(LIBNMS0)
SNMPAGENTLIB = 
AGENTDIR     = nmi
SNMPAUXDIR  = nmd

# Exiting s_cus_ntwk.mk
# Entering /linux2/src805/buildtools/mkfile/cus_plfrm.mk

CC=i386-glibc20-linux-gcc
CCFLAGS=
SPFLAGS=
OPTIMIZE=
LINK=i386-glibc20-linux-gcc
MAKE=make
LLIBTHREAD=
AR=ar
LLIBOBK=

LIBDLM=`echo "$(SKGXN) /usr/lib/libdlm.so"`

LLIBDLM=`echo "$(SKGXN) -ldlm`

LIBNM=$(LIBDLM)
LLIBNM=$(LLIBDLM)

# Exiting /linux2/src805/buildtools/mkfile/cus_plfrm.mk
# Entering /linux2/src805/buildtools/mkfile/libclntsh.mk
$(LIBCLNTSH): \
            ${ORACLE_HOME}/lib/libclient.a ${ORACLE_HOME}/lib/libsql.a \
            ${ORACLE_HOME}/lib/libnetv2.a ${ORACLE_HOME}/lib/libnttcp.a \
            ${ORACLE_HOME}/lib/libnetwork.a ${ORACLE_HOME}/lib/libncr.a \
            ${ORACLE_HOME}/lib/libcommon.a ${ORACLE_HOME}/lib/libgeneric.a \
            ${ORACLE_HOME}/lib/libmm.a ${ORACLE_HOME}/rdbms/lib/xaondy.o \
            ${ORACLE_HOME}/lib/libnlsrtl3.a ${ORACLE_HOME}/lib/libcore4.a \
            ${ORACLE_HOME}/lib/libepc.a
	$(SILENT)$(ECHO) "Building client shared library libclntsh.so ..."
	$(SILENT)$(ECHO) "Call script $$ORACLE_HOME/bin/genclntsh ..."
	$(GENCLNTSH)
	$(SILENT)$(ECHO) "Built $$ORACLE_HOME/lib/libclntsh.so ... DONE"

# Exiting /linux2/src805/buildtools/mkfile/libclntsh.mk
